#ifndef SI_SUBST
#define SI_SUBST

/*

 suppt_h

 Shell Internal Support

 Date           Author          Comments
 ----           ------          --------
 11/03/1998     A.D.Ives        New module for v1.06

 1.07
 ----
 14/03/1998     A.D.Ives        Added code for SI_FOR
 15/03/1998                     Prototypes added for Part() and RPart()

 1.08
 ----
 27/03/1998                     Added code for SI_DO

*/

/* Access codes for SI() */

#define SI_RETCODE      1
#define SI_RESULT       2
#define SI_LASTKEY      3
#define SI_FOR          4
#define SI_FORW         5
#define SI_DO           6

void ShellInit() ;
void *SI(int, void *) ;
char *RPart(char *, char *, int) ;
char *Part(char *, char *, int) ;
char *Internal(char *, char *) ;
char *Prompt(char *, char *) ;
void SubstParams(char *, int, char **) ;

#endif
